org.apache.hadoop.ipc.protobuf

## Enum RpcHeaderProtos.RpcResponseHeaderProto.RpcStatusProto

- java.lang.Object
- - java.lang.Enum<RpcHeaderProtos.RpcResponseHeaderProto.RpcStatusProto>
  - - org.apache.hadoop.ipc.protobuf.RpcHeaderProtos.RpcResponseHeaderProto.RpcStatusProto

- All Implemented Interfaces:
    com.google.protobuf.Internal.EnumLite, com.google.protobuf.ProtocolMessageEnum, Serializable, Comparable<RpcHeaderProtos.RpcResponseHeaderProto.RpcStatusProto>
  Enclosing class:
    RpcHeaderProtos.RpcResponseHeaderProto

      public static enum RpcHeaderProtos.RpcResponseHeaderProto.RpcStatusProto
      extends Enum<RpcHeaderProtos.RpcResponseHeaderProto.RpcStatusProto>
      implements com.google.protobuf.ProtocolMessageEnum

  Protobuf enum `hadoop.common.RpcResponseHeaderProto.RpcStatusProto`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR` `ERROR = 1;`
    `FATAL` `FATAL = 2;`
    `SUCCESS` `SUCCESS = 0;`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ERROR_VALUE` `ERROR = 1;`
    `static int` | `FATAL_VALUE` `FATAL = 2;`
    `static int` | `SUCCESS_VALUE` `SUCCESS = 0;`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptorForType()`
    `int` | `getNumber()`
    `com.google.protobuf.Descriptors.EnumValueDescriptor` | `getValueDescriptor()`
    `static com.google.protobuf.Internal.EnumLiteMap<RpcHeaderProtos.RpcResponseHeaderProto.RpcStatusProto>` | `internalGetValueMap()`
    `static RpcHeaderProtos.RpcResponseHeaderProto.RpcStatusProto` | `valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
    `static RpcHeaderProtos.RpcResponseHeaderProto.RpcStatusProto` | `valueOf(int value)`
    `static RpcHeaderProtos.RpcResponseHeaderProto.RpcStatusProto` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RpcHeaderProtos.RpcResponseHeaderProto.RpcStatusProto[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final RpcHeaderProtos.RpcResponseHeaderProto.RpcStatusProto SUCCESS

      `SUCCESS = 0;`

           RPC succeeded

    - #### ERROR

          public static final RpcHeaderProtos.RpcResponseHeaderProto.RpcStatusProto ERROR

      `ERROR = 1;`

           RPC or error - connection left open for future calls

    - #### FATAL

          public static final RpcHeaderProtos.RpcResponseHeaderProto.RpcStatusProto FATAL

      `FATAL = 2;`

           Fatal error - connection closed

  - ### Field Detail

    - #### SUCCESS_VALUE

          public static final int SUCCESS_VALUE

      `SUCCESS = 0;`

           RPC succeeded

      See Also:
        Constant Field Values

    - #### ERROR_VALUE

          public static final int ERROR_VALUE

      `ERROR = 1;`

           RPC or error - connection left open for future calls

      See Also:
        Constant Field Values

    - #### FATAL_VALUE

          public static final int FATAL_VALUE

      `FATAL = 2;`

           Fatal error - connection closed

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static RpcHeaderProtos.RpcResponseHeaderProto.RpcStatusProto[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RpcHeaderProtos.RpcResponseHeaderProto.RpcStatusProto c : RpcHeaderProtos.RpcResponseHeaderProto.RpcStatusProto.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RpcHeaderProtos.RpcResponseHeaderProto.RpcStatusProto valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getNumber

          public final int getNumber()

      Specified by:
        `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
      Specified by:
        `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### valueOf

          public static RpcHeaderProtos.RpcResponseHeaderProto.RpcStatusProto valueOf(int value)

    - #### internalGetValueMap

          public static com.google.protobuf.Internal.EnumLiteMap<RpcHeaderProtos.RpcResponseHeaderProto.RpcStatusProto> internalGetValueMap()

    - #### getValueDescriptor

          public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

      Specified by:
        `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### getDescriptorForType

          public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

    - #### valueOf

          public static RpcHeaderProtos.RpcResponseHeaderProto.RpcStatusProto valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.